Function GetDataLinkPath
' получить  путь с параметрами соединения с базой данных
'	GetDataLinkPath="c:\program files\station\station.udl"
	GetDataLinkPath="c:\program\station\station.udl"
End Function 

Function GetTableName() 
' получить название таблицы для хранения данных
	GetTableName="TableCall"
End Function 

Function GetCommSettings()
' получить параметры последовательного порта
	GetCommSettings="9600,M,8,1"
End Function 

Function GetCommNumber()
' получить номер последовательного порта
	GetCommNumber=2
End Function 

Function GetCommHandshaking()
' установить тип хадшейка
	GetCommHandshaking=2
End Function 

Function GetLogFileName()
	GetLogFileName="c:\program files\station\station.log"
End Function 

Function OutErrorToLog() 
' вывод ошибок в лог-файл
	OutErrorToLog=False
End Function 

Function DateSpeak(strBuffer)
Dim iYear
Dim iMonth
Dim iDay
Dim strTemp
On Error Resume Next
    iMonth=CInt(Trim(Mid(strBuffer,1,2)))
    iDay=CInt(Trim(Mid(strBuffer,4,2)))
    iYear=CInt(Trim(Mid(strBuffer,7,2)))
	DateSpeak=DateSerial(iYear, iMonth, iDay)
End Function 

' описание функций получения значений полей
Function InternalNumber(strBuffer)
	InternalNumber=Trim(Mid (strBuffer,19,3))
End Function 

Function LineNumber(strBuffer)
	LineNumber=Trim(Mid(strBuffer,24,2))
End Function 

Function SpeakTime(strBuffer)
Dim iHour
Dim iMinute
Dim iSecond
On Error Resume Next
	iHour=CInt(Trim(Mid(strBuffer,65,2)))
	iMinute=CInt(Trim(Mid(strBuffer,68,2)))
	iSecond=CInt(Trim(Mid(strBuffer,71,2)))
	SpeakTime=iHour*3600+iMinute*60+iSecond
End Function 

Function BeginSpeakTime(strBuffer)
	BeginSpeakTime=Trim(Mid(strBuffer,10,8))
End Function 

Function CallNumber(strBuffer)
	CallNumber=Trim(Mid(strBuffer,27,34))
End Function 
